<?
if (!isset($user) && !isset($_GET['id_user'])){header("Location: /foto/?".SID);exit;}
if (isset($user))$ank['id']=$user['id'];
if (isset($_GET['id_user']))$ank['id']=intval($_GET['id_user']);
$ank=get_user($ank['id']);
if (!$ank){header("Location: /foto/?".SID);exit;}

$set['title']='ФотоАльбомы '.$ank['nick'].'';

include_once '../sys/inc/thead.php';
title();
aut();

include 'inc/gallery_act.php';
err();
echo '<div class="dop_menu"><img src="/icons/add.gif" alt="" /> <a href="?act=create">Создать альбом</a></div>';
include 'inc/gallery_form.php';
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `gallery` WHERE `id_user` = '$ank[id]'"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
echo "<table class='post'>\n";
if ($k_post==0)
{
echo "   <tr>\n";
echo "  <td class='pa'>\n";
echo "Нет фотоальбомов\n";
echo "  </td>\n";
echo "   </tr>\n";

}

$q=mysql_query("SELECT * FROM `gallery` WHERE `id_user` = '$ank[id]' ORDER BY `time` DESC LIMIT $start, $set[p_str]");
while ($post = mysql_fetch_assoc($q))
{

if($num==1){
echo '<tr><td class="pa">';
$num=0;
}else{
echo '<tr><td class="pa">';
$num=1;}
$foto = mysql_fetch_assoc(mysql_query("SELECT * FROM `gallery_foto` WHERE `id_gallery` = '$post[id]' ORDER BY RAND()"));
if ($foto==null){

echo "<img src='/foto/foto48/0.png' alt='Нет фото' align='left' style='margin-right:3px' width='48' height='48' alt=''  />";
}
else
{
echo "<img src='/foto/foto48/$foto[id].$foto[ras]' alt='Фото_$foto[id]' align='left' style='margin-right:3px' width='48' height='48' alt=''  />";
}

echo "<img src='/style/ico/photo.gif' alt='' /> <a href='/foto/$ank[id]/$post[id]/'><b>$post[name]</b></a> (".mysql_result(mysql_query("SELECT COUNT(*) FROM `gallery_foto` WHERE `id_gallery` = '$post[id]'"),0)." фото)<br/>\n";
echo "<img src='/style/ico/clock_creat.png' alt='' /> ".vremja($post['time_create'])."<br/> <img src='/style/ico/clock_refresh.png' alt='' /> ".vremja($post['time'])."<br />\n";
if ($post['opis']==null)
echo "Без описания<br />\n";
else 
echo esc(trim(br(bbcode(smiles(links(stripcslashes(htmlspecialchars($post['opis']))))))))."<br />\n";
echo "  </td>\n";
echo "   </tr>\n";

}
echo "</table>\n";

if ($k_page>1)str('?',$k_page,$page); // Вывод страниц
include_once '../sys/inc/tfoot.php';
exit;
?>